# $Id: horde.spec,v 1.10 2010/01/24 03:29:08 mrjhb3 Exp $

%define apachedir /etc/httpd
%define apacheuser www
%define apachegroup www
%define contentdir /home/httpd
%define phpini /etc/php.ini

Summary: The common Horde Framework for all Horde modules.
Name: horde
Version: 3.3.6
Release: 1%{?dist}
License: LGPL
Group: Applications/Horde
Source: ftp://ftp.horde.org/pub/horde/tarballs/horde-%{version}.tar.gz
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: /tmp/horde-root
AutoReq: no
Requires: php >= 4.3.0
Requires: httpd >= 2.0.46
Prereq: /usr/bin/perl

%description
The Horde Framework provides a common structure and interface for Horde
applications (such as IMP, a web-based mail program).  This RPM is
required for all other Horde module RPMs.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Horde
and its modules) please visit http://www.horde.org/.

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf
#cp -p $RPM_SOURCE_DIR/horde.conf $RPM_BUILD_ROOT%{apachedir}/conf
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/horde
cp -pR * $RPM_BUILD_ROOT%{contentdir}/html/horde
chmod go-rwx $RPM_BUILD_ROOT%{contentdir}/html/horde/test.php
cd $RPM_BUILD_ROOT%{contentdir}/html/horde/config
mv hooks.php.dist hooks.php.dist1
#rm -rf hooks.php.dist
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done
mv hooks.php.dist1 hooks.php.dist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# Apache horde.conf file
#%config %{apachedir}/conf/horde.conf
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/html/horde
# Include top-level files by hand
%{contentdir}/html/horde/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/html/horde/admin
%{contentdir}/html/horde/js
%{contentdir}/html/horde/lib
%{contentdir}/html/horde/locale
%{contentdir}/html/horde/po
%{contentdir}/html/horde/scripts
%{contentdir}/html/horde/services
%{contentdir}/html/horde/templates
%{contentdir}/html/horde/themes
%{contentdir}/html/horde/util
%{contentdir}/html/horde/rpc
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/html/horde/COPYING
%doc %{contentdir}/html/horde/README
%docdir %{contentdir}/html/horde/docs
%{contentdir}/html/horde/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/html/horde/config
%attr(750,root,%{apachegroup}) %dir %{contentdir}/html/horde/config/registry.d
%defattr(640,root,%{apachegroup})
%{contentdir}/html/horde/config/.htaccess
%{contentdir}/html/horde/config/*.dist
%{contentdir}/html/horde/config/registry.d/*
%config %{contentdir}/html/horde/config/*.php
%config %{contentdir}/html/horde/config/*.xml

%changelog
* Sat Jan 23 2010 John H. Bennett III <bennettj@johnbennettservices.com> 3.3.6-1
- Updated to Horde 3.3.6 [SME: 5721]

* Tue Oct 13 2009 John H. Bennett III <bennettj@johnbennettservices.com> 3.3.5-1
- Updated to Horde 3.3.5 [SME: 5509]

* Sat May 2 2009 John H. Bennett III <bennettj@johnbennettservices.com> 3.3.4-1
- Updated to Horde 3.3.4 [SME: 5372]

* Sat Feb 21 2009 John H. Bennett III <bennettj@johnbennettservices.com> 3.3.3-1
- Updated to Horde 3.3.3 [SME: 4831]

* Fri Jan 2 2009 John H. Bennett III <bennettj@johnbennettservices.com> 3.3.2-1
- Updated to Horde 3.3.2 [SME: 4831]

* Sat Dec 06 2008 John H. Bennett III <bennettj@johnbennettservices.com> 3.3-1
- Updated to Horde 3.3 [SME: 4831]

* Tue Sep 16 2008 John H. Bennett III <bennettj@johnbennettservices.com> 3.2.2-1
- Update to Horde 3.2.2 [SME: 4565]

* Fri Jun 13 2008 John H. Bennett III <bennettj@johnbennettservices.com> 3.2.1-1
- Update to Horde 3.2.1 [SME: 4532]

* Mon Jun 2 2008 John H. Bennett III <bennettj@johnbennettservices.com> 3.2-1
- initial RPM roll for Horde 3.2

